package com.uas.finance.erp.model;

import com.uas.finance.model.ChangesInstruction;
import com.uas.finance.util.DateUtils;

/**
 * 变更内容
 */
public class ChangesInstructionInfo {

    /**
     * ID
     */
    private Long id;

    /**
     * 优软账号
     */
    private Long enuu;

    /**
     * 变更科目
     */
    private String cd_type;

    /**
     * 变更时间
     */
    private String cs_date;

    /**
     * 变更前内容
     */
    private String cs_before;

    /**
     * 变更后内容
     */
    private String cs_after;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getEnuu() {
        return enuu;
    }

    public void setEnuu(Long enuu) {
        this.enuu = enuu;
    }

    public String getCd_type() {
        return cd_type;
    }

    public void setCd_type(String cd_type) {
        this.cd_type = cd_type;
    }

    public String getCs_date() {
        return cs_date;
    }

    public void setCs_date(String cs_date) {
        this.cs_date = cs_date;
    }

    public String getCs_before() {
        return cs_before;
    }

    public void setCs_before(String cs_before) {
        this.cs_before = cs_before;
    }

    public String getCs_after() {
        return cs_after;
    }

    public void setCs_after(String cs_after) {
        this.cs_after = cs_after;
    }

    public ChangesInstructionInfo(ChangesInstruction instruction) {
        this.cd_type = instruction.getCd_type();
        this.cs_after = instruction.getCs_after();
        this.cs_before = instruction.getCs_before();
        this.cs_date = instruction.getCs_date() == null ? null : DateUtils.DateInfo(instruction.getCs_date());
        this.enuu = instruction.getEnuu();
        this.id = instruction.getId();
    }

    public ChangesInstructionInfo() {

    }
}
